Saltimbanquier February 2016

Debian's mod_wsgi python3 does not work with debian's python3?

I'm trying to deploy a Django-python3 application on Debian with apache mod_wsgi (django official docs). I use a virtualenv with python3 and here is what I get in the /var/log/apache2/error.log file :

mod_wsgi: Compiled for Python/3.4.2rc1+.

mod_wsgi: Runtime using Python/3.4.2.

Apache/2.4.10 (Debian) OpenSSL/1.0.1k mod_wsgi/4.3.0 Python/3.4.2 configured -- resuming normal operations

It seems to me that mod_wsgi and python from Debian's repositories can't work together. Am I missing something ?

Thanks a lot.

Answers


Saltimbanquier February 2016

My installation worked on dev with manage.py and not in production so I assumed it was Apache fault. Turns out I did not give the rights to Apache to read in the folder.

Post Status

Asked in February 2016
Viewed 1,493 times
Voted 7
Answered 1 times

Search




Leave an answer